summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--desktop/gtk-kde4/README6
-rw-r--r--desktop/gtk-kde4/doinst.sh3
-rwxr-xr-xdesktop/gtk-kde4/gtk-kde4.SlackBuild98
-rw-r--r--desktop/gtk-kde4/gtk-kde4.info10
-rw-r--r--desktop/gtk-kde4/slack-desc19
5 files changed, 136 insertions, 0 deletions
diff --git a/desktop/gtk-kde4/README b/desktop/gtk-kde4/README
new file mode 100644
index 0000000000..baaa2e66fc
--- /dev/null
+++ b/desktop/gtk-kde4/README
@@ -0,0 +1,6 @@
+gtk-kde4 (Qt and GTK+ appearance in KDE)
+
+This app gives you ability to change appearance of GTK applications
+in KDE4. For this purpose you may use GTK stuff, or your current KDE
+stuff: widget styles, icons and fonts. GTK-KDE4 can help you unify
+Qt and GTK+ apps appearance.
diff --git a/desktop/gtk-kde4/doinst.sh b/desktop/gtk-kde4/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/desktop/gtk-kde4/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/desktop/gtk-kde4/gtk-kde4.SlackBuild b/desktop/gtk-kde4/gtk-kde4.SlackBuild
new file mode 100755
index 0000000000..256f666f3b
--- /dev/null
+++ b/desktop/gtk-kde4/gtk-kde4.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for gtk-kde4
+
+# Copyright 2010, mario <mario@slackverse.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gtk-kde4
+VERSION=${VERSION:-0.9.3}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/*-$PRGNAM\(src\)$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release
+
+make VERBOSE=1
+
+# disable execution of symlinks.sh
+sed -i 's/EXECUTE_PROCESS(COMMAND sh .\/symlinks.sh)/#EXECUTE_PROCESS(COMMAND sh .\/symlinks.sh)/' CMakeSymlink
+
+make install VERBOSE=1 DESTDIR=$PKG
+
+# fix desktop shortcut
+sed -i 's/kcmshell4 gk4/kcmshell4 kcm_gk4/' kcm/kcm_gk4.desktop
+
+find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+find $PKG | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# fix this
+mv $PKG/root/.gtkrc-2.0-kde4 $PKG/usr/doc/$PRGNAM-$VERSION/gtkrc-2.0-kde4
+rmdir $PKG/root
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/gtk-kde4/gtk-kde4.info b/desktop/gtk-kde4/gtk-kde4.info
new file mode 100644
index 0000000000..3a15a9d8b8
--- /dev/null
+++ b/desktop/gtk-kde4/gtk-kde4.info
@@ -0,0 +1,10 @@
+PRGNAM="gtk-kde4"
+VERSION="0.9.3"
+HOMEPAGE="http://kde-apps.org/content/show.php/gtk-kde4?content=74689"
+DOWNLOAD="http://kde-apps.org/CONTENT/content-files/74689-gtk-kde4(src)0.9.3.tar.gz"
+MD5SUM="5ab407a9f3f856af3575954c42262e31"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="mario"
+EMAIL="mario@slackverse.org"
+APPROVED="Erik Hanson"
diff --git a/desktop/gtk-kde4/slack-desc b/desktop/gtk-kde4/slack-desc
new file mode 100644
index 0000000000..d71af53a5f
--- /dev/null
+++ b/desktop/gtk-kde4/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gtk-kde4: gtk-kde4 (Qt and GTK+ appearance in KDE4)
+gtk-kde4:
+gtk-kde4: This app gives you ability to change appearance of GTK applications
+gtk-kde4: in KDE4. For this purpose you may use GTK stuff, or your current KDE
+gtk-kde4: stuff: widget styles, icons and fonts. GTK-KDE4 can help you unify
+gtk-kde4: Qt and GTK+ apps appearance.
+gtk-kde4:
+gtk-kde4:
+gtk-kde4:
+gtk-kde4:
+gtk-kde4: